package com.zhentao.vo;

import lombok.Data;

@Data
public class Result {
    private Integer code;
    private Object data;
    private String msg;

    public static Result OK(Object data,String msg){
        Result result=new Result();
        result.setCode(200);
        result.setMsg(msg);
        result.setData(data);
        return result;
    }
    public static Result Err(Object data,String msg){
        Result result=new Result();
        result.setCode(400);
        result.setMsg(msg);
        result.setData(data);
        return result;
    }
}
